<?php
/*
 *
 * sflog!
 * Copyright (C) 2005 Alberto Sfolcini <a.sfolcini@gmail.com>
 *
 * This file is a part of sflog!.
 *
 * sflog! is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * sflog! is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */



/**
 * @title			: File       
 * @description	: Manages operations on files (no i/o) 
 * @date				: 10-Oct-2005   
 * @author			: Alberto Sfolcini  <a.sfolcini@gmail.com>
 */
class File{


	function File(){
	}
		
	/**
	 * scandir
	 * @param string $dir
	 * @param int $sort
	 * 
	 * Use this function if you haven't PHP5+
	 */
	function scandir($dir = './', $sort = 0){
		$dir_open = @ opendir($dir);
  			
		if (! $dir_open)
    		return false;
       			            
		while (($dir_content = readdir($dir_open)) !== false)
       		$files[] = $dir_content;
  
			if ($sort == 1)
   				rsort($files, SORT_STRING);
			else
   				sort($files, SORT_STRING);
  
		return $files;
	}
} // end class
?>